{%- assign about = site.posts | find: "layout", "about" -%}
{%- assign code_of_conduct = site.posts | find: "layout", "code_of_conduct" -%}
{%- assign privacy_policy = site.posts | find: "layout", "privacy_policy" -%}
{%- assign license = site.posts | find: "layout", "license" -%}
{%- assign author = about.author | default: site.title -%}

<footer class="site-footer h-card">
  <data class="u-url" href="?#"></data>

  <div class="wrapper">

    <div class="footer-col-wrapper">
      <div class="footer-col">
        <p class="feed-subscribe">
          <a href="feed.xml">
            <svg class="svg-icon orange">
              <use xlink:href="assets/minima-social-icons.svg#rss"></use>
            </svg><span>{{ site.i18n.footer.subscribe }}</span>
          </a>
        </p>
        {%- if site.activity_pub_profile -%}
          <p class="feed-subscribe">
            <svg class="svg-icon">
              <use xlink:href="assets/minima-social-icons.svg#fediverse"></use>
            </svg><span>
              {{- site.i18n.footer.fediverse -}}
            </span>
            <span>
              @{{ site.activity_pub_profile -}}
            </span>
          </p>
        {%- endif -%}
        <ul class="contact-list">
          <li class="p-name">{{ author | escape }}</li>
          {% if about.email -%}
            <li><a class="u-email" href="mailto:{{ about.email }}">{{ about.email }}</a></li>
          {%- endif %}

          {% if license %}
            <li><a href="{{ license.url }}" rel="license">{{ license.title }}</a></li>
          {% endif %}

          {% if code_of_conduct %}
            <li><a href="{{ code_of_conduct.url }}" rel="code-of-conduct">{{ code_of_conduct.title }}</a></li>
          {% endif %}

          {% if privacy_policy %}
            <li><a href="{{ privacy_policy.url }}" rel="privacy-policy">{{ privacy_policy.title }}</a></li>
          {% endif %}
        </ul>
      </div>
      <div class="footer-col">
        {{ site.description | allow_inclusive_language_in_markdown | markdownify }}
      </div>
    </div>

    <div class="social-links">
      {%- include_cached social.html about=about -%}
    </div>

  </div>

</footer>
